package com.miaxis.test;

import com.miaxis.XpgxApplication;
import com.miaxis.common.config.ShiShenConfig;
import com.miaxis.common.utils.DateUtils;
import com.miaxis.gan.dto.GanZhiDto;
import com.miaxis.gan.service.IGanZhiService;
import com.miaxis.jie.service.IJieQiService;
import com.miaxis.jie.vo.JieQiVo;
import com.miaxis.wx.dto.WxacodeUnlimitDTO;
import com.miaxis.wx.service.IWxService;
import com.miaxis.wx.service.IWxXcxService;
import com.nlf.calendar.Lunar;
import feign.Response;
import org.apache.commons.io.IOUtils;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.junit4.SpringRunner;

import java.io.FileOutputStream;
import java.io.IOException;
import java.io.InputStream;
import java.util.Base64;
import java.util.Date;
import java.util.List;

@SpringBootTest(classes = XpgxApplication.class)
@RunWith(SpringRunner.class)
public class GanTest {

    @Autowired
    private IJieQiService jieQiService;


    @Autowired
    private IGanZhiService ganZhiService;

    @Autowired
    private ShiShenConfig shiShenConfig;

    @Test
    public void getLocation() throws IOException {

        // 假设使用 cn.6tail 的 lunar 库来转换日期
        GanZhiDto ganZhiDto = new GanZhiDto();
        ganZhiDto.setBirthDay(DateUtils.parseDate("2002-09-08 14:02:00"));
        ganZhiDto.setSex(1);
        Lunar lunar = Lunar.fromDate(ganZhiDto.getBirthDay());

        // 获取干支纪年
        ganZhiDto.setYearGan(lunar.getYearGan());
        ganZhiDto.setYearZhi(lunar.getYearZhi());

        ganZhiDto.setMonthGan(lunar.getMonthGan());
        ganZhiDto.setMonthZhi(lunar.getMonthZhi());

        ganZhiDto.setDayGan(lunar.getDayGan());
        ganZhiDto.setDayZhi(lunar.getDayZhi());

        ganZhiDto.setTimeGan(lunar.getTimeGan());
        ganZhiDto.setTimeZhi(lunar.getTimeZhi());

        System.out.println(lunar.getYearGan()+","+lunar.getYearZhi()+","+lunar.getMonthGan()+","+lunar.getMonthZhi()+","+lunar.getDayGan()+","+lunar.getDayZhi()+","+lunar.getTimeGan()+","+lunar.getTimeZhi());

        System.out.println(shiShenConfig.getLiushijiazi().get(119));


    }


}

