package com.miaxis.test;

public class WuxingRelationship {

    public static void main(String[] args) {

        int result9 = generateRelationship("木", "火");
        System.out.println(result9); // 输出：1
    }

    public static int generateRelationship(String element1, String element2) {
        // 五行关系的映射关系
        String[][] relationships = {
                //木属性
                {"木", "火", "1"},    //木生火 = 1
                {"木", "土", "2"},    //木克土 = 2
                {"木", "金", "3"},    //木被金克 = 3
                {"木", "水", "4"},    //木被水生 = 4
                {"木", "木", "0"},    //木被木生=  0
                // 火属性
                {"火", "土", "1"},    //火生土 = 1
                {"火", "金", "2"},    //火克金 = 2
                {"火", "水", "3"},    //火被水克 = 3
                {"火", "木", "4"},    //火被木生 = 4
                {"火", "火", "0"},    //火被火生 = 0
                // 土属性的关系
                {"土", "金", "1"},    //土生金 = 1
                {"土", "水", "2"},    //土克水 = 2
                {"土", "木", "3"},    //土被木克 = 3
                {"土", "火", "4"},    //土被火生 = 4
                {"土", "土", "0"},    //土被土生 = 0
                // 金属性的关系
                {"金", "水", "1"},    //金生水 = 1
                {"金", "木", "2"},    //金克木 = 2
                {"金", "火", "3"},    //金被火克 = 3
                {"金", "土", "4"},    //金被土生 = 4
                {"金", "金", "0"},    //金被金生 = 0
                // 水属性的关系
                {"水", "木", "1"},    //水生木 = 1
                {"水", "火", "2"},    //水克火 = 2
                {"水", "土", "3"},    //水被土克 = 3
                {"水", "金", "4"},    //水被金生 = 4
                {"水", "水", "0"},    //水被水生 = 0
        };

        // 查找两个元素之间的关系
        for (String[] relationship : relationships) {
            if (relationship[0].equals(element1) && relationship[1].equals(element2)) {
                return Integer.parseInt(relationship[2]);
            }
        }

        // 如果没有找到对应关系，可以返回一个默认值或抛出异常，这里简单返回 -1
        return -99;
    }
}
